## gclcvs 2.7.0-54

=== debian/changelog ===
gclcvs (2.7.0-54) unstable; urgency=low

  * LITTLE_END -> WORDS_BIGENDIAN
  * NULL_OR_ON_C_STACK macro check fix, exclude sparc symbols beginning
    with . from plt table, Closes: #344202.
  * plttest.c fix to get _remq et. al. in the plt table on alpha.  Closes:
    #340853.

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Dec 2005 02:39:11 +0000

gclcvs (2.7.0-53) unstable; urgency=low

  * No logl on non-i386 ?? (a c99 requirement),wrap fSkill call in
    run_process.c for ia64

 -- Camm Maguire <camm@enhanced.com>  Sun, 18 Dec 2005 18:38:36 +0000

gclcvs (2.7.0-52) unstable; urgency=low

  * fix configure

 -- Camm Maguire <camm@enhanced.com>  Sat, 17 Dec 2005 15:04:56 +0000

gclcvs (2.7.0-51) unstable; urgency=low

  * Don't lower DBEGIN if shared mem start is beneath default
  * Better conditionalizing of dbegin lowering script
  * Make only one big TAGS table in source top
  * No nil arrays in GCL
  * check-type type error format string recognition
  * check-type type error format string recognition
  * Avoid duplicate data entries
  * maphash inlining;array type centralization ; c1expr** for use in
    branch elmination
  * array type centralization ; propagate info in cases of branch
    elimination
  * propagate info in cases of branch elimination
  * Bit vector inlining; signed-int and unsigned-int array element types
    for use on 64bit where fixnum is 64bit and int is 32bit; prevent
    cmp-aref et.al. symbol-function modifications from disabling
    inlining in parts of the self-compile
  * Replace recursively-cmp-macroexpand code with additional c1pass to
    detect constant let bindings for autodeclaration purposes.  FIXME --
    comment, autodeclare modified bindings if appropriate, and
    comment/document
  * string-char to character; prevent cmp-aref et.al. symbol-function
    modifications from disabling inlining in parts of the self-compile;
    fill-pointer inlining; functionp and compile-function-p inlining;
    maphash inlining
  * string-char to character; allow local safety declarations in
    compiled lambda closures
  * string-char to character; consolidate type-and around resolve-type;
  * string-char to character
  * one big TAGS table
  * string-char to character ; int array element types
  * string-char to character ; int array element types
  * localize safety proclamations; string-char to character ; simgle-
    valued subtypep1 to accelerate best-array-element-type
  * string-char to character ; localize safety proclamations
  * dolist checks for improper list
  * string-char to character ; localize saety proclamations
  * string-char to character ; int array element types ; more robust plt
    table handling
  * string-char to character
  * custreloc is default on macosx
  * Accelerate equal, eql and equalp
  * preliminary static linking option
  * T is an ordinary symbol
  * Fix regexp GC race
  * Accelerate is_cons
  * don't wrap quoted symbols external in lisp/common-lisp
  * do eq promotions with real type handlers as subtypep et. al. are now
    up to the task
  * keep gazonk objects when *keep-gaz* is set
  * complete eq promotion optimizers
  * Check for nil first in type_of
  * First attempt at hashing type operations in compiler -- TODO
    consider eq rather than equal based strategy
  * Better wrap-literal strategy
  * Fix eql_is_eq macro
  * Fix C macro parsing problem in array.c
  * ADDR_NO_RANDOMIZE fix
  * Fix dlopen based fasloading and compiler::link via a new routine
    si::find-init-name which determines the unique init-function name
    before loading
  * First try at euqalp hashing
  * fix character and number equalp hash codes
  * set compiler-check-args in pass1 for use in expanders e.g. endp,
    type-or hash table
  * inline expanders for length, reverse, endp, identity, and sort
  * disable older ash-conditional in favor of newer ash-propagator
  * propagate the type-or of the branches in c1if
  * remove anti-integer prejudice in inline-type-matches
  * length inlining support function cmp-vec-length
  * type-or1 support
  * Use new endp expansion to optimize dolist depending on safety
    settings
  * external functions compiled with safety = 1 for argument checking
  * equalp hash bug fix
  * equalp hashing fix
  * consp, listp, and atom macros, remove DOTNIL, fix relevant functions
    in list.d
  * Clear the cache with mprotect on 386-linux
  * disable dynamic functions when enabling static linking
  * Fix equalp bitvector hashing bug
  * consp in endp
  * Better coerce and  make-sequence
  * fix type<= definition
  * enhanced reader-error support
  * enhanced reader-error support, readtable-case support, proper-list
    type support, list function ansi fixes, hasfillp slot for arrays and
    vectors, character traits, setf gethash interpreter fix, make-hash-
    table ansi fixes, simple-vector-p ansi fix, print-symbol fixes, set-
    syntax-from-char fixes, rework loose package syntax, prohibit loose
    right paren in reader
  * Fix gethash size 0 bug
  * fix long-call probe on gcc, fdollars in identifiers on arm
  * accelerate make-sequence, which was making several subtypep1 and
    normalize-type calls on simple argument input, and even calling
    itself thereby -- FIXME, get concise logic with performance
  * enable setf readtable-case in printer-aux.lsp
  * Prepare gcl_cmpmain.lsp for compilation
  * accelerate deftype expansions
  * compile gcl_cmpmain.lsp
  * remove string-char from sys-proclaim.lisp
  * print symbol fixes
  * Fix subtypep cons test  FIXME handle side effects better
  * make-package case fix
  * #+ #- readaer macro fixes
  * function-lambda-expression -- FIXME closure variables elided
  * read-suppress fixes, reader-error fixes
  * reader error fixes
  * fix if type-propagation bug, fix stream ansi failures, fix slash-dot
    printing and corresponding read-errors
  * scale default maxpage with SIZEOF_LONG and PAGEWIDTH
  * fix &whole in defmacro subterms, some :allow-other-keys tests


=== debian/control ===
Source: gclcvs
Section: interpreters
Priority: optional
Maintainer: Camm Maguire <camm@enhanced.com>
Build-Depends: debhelper (>= 4.1.16), emacs21 | emacsen, libreadline5-dev | libreadline-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller
Standards-Version: 3.6.2.1

Package: gclcvs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}, debconf (>= 1.2.0)
Suggests: gclcvs-doc
Description: GNU Common Lisp compiler, CVS snapshot
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains the Lisp system itself.  Documentation 
 is provided in the gclcvs-doc package.

Package: gclcvs-doc
Section: doc
Architecture: all
Conflicts: gclinfo
Replaces: gclinfo
Description: Documentation for GNU Common Lisp, CVS snapshot
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains Documentation in info format of both the
 system internals, as well as the graphical interface currently
 implemented in Tcl/Tk.

## gclcvs 2.7.0-64

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: interpreters
 Priority: optional
 Maintainer: Camm Maguire <camm@enhanced.com>
-Build-Depends: debhelper (>= 4.1.16), emacs21 | emacsen, libreadline5-dev | libreadline-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper (>= 4.1.16), libreadline5-dev | libreadline-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller, libxmu-dev, libxaw7-dev, gcc-3.4 [ arm ]
+Standards-Version: 3.7.2
 
 Package: gclcvs
 Architecture: any

## gclcvs 2.7.0-76

=== debian/changelog ===
gclcvs (2.7.0-76) unstable; urgency=low

  * abandon mcount_wrapper

 -- Camm Maguire <camm@enhanced.com>  Wed,  4 Jul 2007 16:10:01 -0400

gclcvs (2.7.0-75) unstable; urgency=low

  * fmla-tp;switch conditional for mips
  * intdiv conditional for alpha
  * libc-ext; FIXME
  * safe allocate_relocatable_pages
  * cfdl only on unmarked non-free cfdata objects
  * rb_end<core_end protection
  * remove my_plt references on rsym systems

 -- Camm Maguire <camm@enhanced.com>  Tue, 03 Jul 2007 19:47:06 -0400

gclcvs (2.7.0-74) unstable; urgency=low

  * fmla only once
  * fix fmla-c1expr
  * fix alpha build;fix flet/labels function type inference

 -- Camm Maguire <camm@enhanced.com>  Mon, 02 Jul 2007 17:36:32 -0400

gclcvs (2.7.0-73) unstable; urgency=low

  * fix intermingled doc-string/declaration handling
  * mcount_wrapper

 -- Camm Maguire <camm@enhanced.com>  Thu, 28 Jun 2007 22:50:01 -0400

gclcvs (2.7.0-72) unstable; urgency=low

  * ansi-fixes
  * libc name fixes
  * sgc fix;allow mized doc-string/declare form order
  * optional second arg to complex-propagator

 -- Camm Maguire <camm@enhanced.com>  Mon, 25 Jun 2007 21:38:21 -0400

gclcvs (2.7.0-71) unstable; urgency=low

  * imm_fixnum inline arithmetic fix
  * fix libc name on alpha/ia64
  * fix struct tests
  * mips switch workaround

 -- Camm Maguire <camm@enhanced.com>  Sat, 23 Jun 2007 18:31:28 -0400

gclcvs (2.7.0-70) unstable; urgency=low

  * faster recompilation
  * GNU_HASH section support
  * hopefully portable _mcount symbol
  * earlier lib-sym reset
  * restore fork

 -- Camm Maguire <camm@enhanced.com>  Fri, 22 Jun 2007 13:27:46 -0400

gclcvs (2.7.0-69) unstable; urgency=low

  * zero out bss when sec_load not set;support for reading random states
    with old gmp libraries;faster number_compare
  * faster sort
  * type-and types in cmp-aref-inline et.al. with array -- FIXME needs
    generalization
  * sync procls with si::sig;fix add-function-declaration ret-type;fix
    get-arg-types/get-return-type for nil values;cmpwarn in c1decl-
    body;defer warnings to top of t1defun;*sigs* instead of procl in
    t1defun for local function signature capture in compile only;faster
    stable-sort
  * ignore user procls when auto-proclaiming
  * fix sysfun proclaims in lfun_list;protected fixint in
    quick_call_sfun
  * compile errors are program-errors
  * accept T type declarations
  * plusp,minusp, and zerop compiler macros
  * optimize inferred variable types outside of if forms with no false
    branch and true branch returning nil type
  * restart pass1 is a note
  * inline imm_fixnum comparisons and sums
  * elide munge-tagbody
  * do not repeat special declarations in portable-source
  * fast 0-arg calls
  * reset standard_io on save-system
  * no check_arg in DEFUN_NEW C functions
  * fix read-char-no-hang on mingw
  * fix cfast-write -- todo, optimize
  * support for persistent external dl function access, inline complex
    arithmetic
  * vals_set scope fix
  * inline-boole3-string fix
  * misc compiler fixes and optimizations
  * fix si::no-value compiler bug
  * use system awk for ldd heap ceiling test
  * compile/disassemble segfault fix
  * handle some nil return type cases better -- FIXME
  * faster eql,equal, and equalp
  * type fixes, optimize-maximum-pages on after compiler::link

 -- Camm Maguire <camm@enhanced.com>  Wed, 20 Jun 2007 21:01:16 -0400

gclcvs (2.7.0-68) unstable; urgency=low

  * compile without wrap-literals and pass1 prin1/read;no add-object on
    characters;leave doc strings in portable source
  * protect closure inlining to within scope of live bindings;*keep-gaz*
    makes compile into compile-file;c1var propagates declared type
    within closures;fix ensure--directories-exist

 -- Camm Maguire <camm@enhanced.com>  Fri, 04 May 2007 21:37:34 -0400

gclcvs (2.7.0-67) unstable; urgency=low

  * solaris-x86 support
  * Fix 64bit gcl-tk bug, Closes: #417848
  * headers for plt.c

 -- Camm Maguire <camm@enhanced.com>  Sat, 07 Apr 2007 01:54:08 -0400

gclcvs (2.7.0-66) unstable; urgency=low

  * clisp-style directory;fix multiple-setq-expander
  * fix 64bit array sizes, Closes: #417049
  * fix name-char on control characters
  * fix reading and printing of random-states
  * fix reading and printing of floats
  * fix equalp on random-states

 -- Camm Maguire <camm@enhanced.com>  Wed, 04 Apr 2007 14:01:28 -0400

gclcvs (2.7.0-65) unstable; urgency=low

  * Fix set-form-type on nil return forms (non-local exits)
  * more array tests for gcl;axe clcs-error-set;broaden fast-link
    checking types;axe cmp-array-element-type;c1array-element-
    type;fboundp-expander;redo sequence-type-element-type;tighter two-
    tp-inf;faster make-info;function-lambda-expression in
    disassemble;boundp,symbol-package,symbol-value,symbol-function, and
    fboundp inlines;exclude and,or,not from portable-source
    expansion;stack_cons macro;speedup add-hash and clear-compiler-
    properties;faster search;tighter returns on
    search,position,count,mismatch;underflow errors with C
    optimization;boundp,symbol-package,symbol-value,symbol-function,
    array-element-type and fboundp fastlinks
  * use-fast-links in ansi-tests;process-warning safety 1 to keep check-
    type FIXME;sigs from call-hasht-table in compiler TODO
    centralize;remove sort expander macro and rely on generic maybe-
    inline with new sort function definition FIXME comp-key and comp-
    test, performace;fix labels/flet propagation;fix write-char and
    write-byte optional compilation FIXME;subtype of declared type in
    set-var-init-type;fix write-char inline;comment out unused compiler-
    def-hook for now FIXME find out the origin and purpose of this;fix
    copy-readtable;make empty gcl_recompile.lsp in boot
  * fix remove-duplicates
  * compiler::structurep to work around disjoint standard-
    object/structure types;update i10 NMU changes from Debian;fix misc.
    slot ansi tests;
  * ansi functionp in trad image too


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gclcvs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}, debconf (>= 1.2.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}, debconf (>= 1.2.0), common-lisp-controller
 Suggests: gclcvs-doc
 Description: GNU Common Lisp compiler, CVS snapshot
  GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4
ARCHT:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

MCC:=gcc
ifeq ($(ARCHT),arm)
MCC:=gcc-3.4
endif
#ifeq ($(ARCHT),hppa)
#MCC:=gcc-3.4
#endif
#ifeq ($(ARCHT),alpha)
#MCC:=gcc-3.4
#endif
#ifeq ($(ARCHT),m68k)
#MCC:=gcc-3.4
#endif

RELOC=locbfd

#RELOC?=statsysbfd
#ifeq ($(ARCHT),alpha)
#RELOC=dlopen
#endif

# MIPS bfd support added 20050407 CM
#ifeq ($(ARCHT),mips)
#RELOC=dlopen
#endif
#ifeq ($(ARCHT),mipsel)
#RELOC=dlopen
#endif


ifeq ($(ARCHT),ia64)
RELOC=dlopen
endif
ifeq ($(ARCHT),hppa)
RELOC=dlopen
endif

GMP?=

DEBUG=
#ifeq ($(ARCHT),hppa)
#DEBUG=--enable-debug
#endif

VERS=$(shell echo $$(cat majvers).$$(cat minvers))
EXT:=cvs

CFG:=$(addsuffix /config.,. binutils) gmp3/configfsf.
# Bug in autocont dependency on emacsen-common workaround
#CFGS:=$(addsuffix .ori,configure $(addsuffix guess,$(CFG)) $(addsuffix sub,$(CFG)))
CFGS:=$(addsuffix .ori,$(addsuffix guess,$(CFG)) $(addsuffix sub,$(CFG)))

$(filter %.guess.ori,$(CFGS)): %.ori: /usr/share/misc/config.guess %
	! [ -e $* ] || [ -e $@ ] || cp $* $@
	[ $$($< -t | tr -d '-') -le $$(./$* -t | tr -d '-') ] || cp $< $*
	touch $@

$(filter %.sub.ori,$(CFGS)): %.ori: /usr/share/misc/config.sub %
	! [ -e $* ] || [ -e $@ ] || cp $* $@
	[ $$($< -t | tr -d '-') -le $$(./$* -t | tr -d '-') ] || cp $< $*
	touch $@

configure.ori: %.ori: configure.in 
	! [ -e $* ] || [ -e $@ ] || cp $* $@
	cd $(@D) && autoconf 
	touch $@

configure-%-stamp: $(CFGS)

	dh_testdir

	! [ -e unixport/saved_pre_gcl ] || ( for i in o lsp cmpnew unixport pcl clcs ; do $(MAKE) -C $$i clean ; done )

	chmod -R +x gmp3/*

#	[ "$(ARCHT)" != "i386" ] || ( cd gmp3 && CC=$(MCC) ./configure --build=i486-unknown-linux-gnu )

	[ "$*" != "ansi" ] || FLAGS="--enable-ansi" ; \
	[ "$*" != "gprof" ] || FLAGS="--enable-gprof" ; \
	[ "$*" != "ansi-gprof" ] || FLAGS="--enable-ansi --enable-gprof" ; \
	CC=$(MCC) ./configure \
		--host=$$(dpkg-architecture -qDEB_HOST_GNU_TYPE) \
		--disable-statsysbfd \
		--enable-$(RELOC) \
		$(GMP) \
		$(DEBUG) \
		$$FLAGS \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--enable-infodir=\$${prefix}/share/info \
		--enable-emacsdir=\$${prefix}/share/emacs/site-lisp

	touch $@


build-%-stamp: configure-%-stamp
	dh_testdir

	$(MAKE)

	rm -rf debian/$*
	mkdir -p debian/$*
	$(MAKE) install DESTDIR=$$(pwd)/debian/$*
	[ "$(findstring gprof,$*)" = "" ] || (\
		tmp=debian/$*; old=/usr/lib/gcl-$(VERS); new=$$old-prof;\
		if [ "$(findstring ansi,$*)" = "" ] ; then i=saved_gcl ; else i=saved_ansi_gcl ; fi;\
		mv $$tmp/$$old $$tmp/$$new ;\
		echo "(reset-sys-paths \"$$new/\")(si::save-system \"debian/tmp-image\")" | $$tmp/$$new/unixport/$$i &&\
		mv debian/tmp-image $$tmp/$$new/unixport/$$i;)

	touch $@

bclean-stamp:
	-$(MAKE) clean
	touch $@

ansi-tests/test_results: build-ansi-stamp
	$(MAKE) $@

build: build-stamp
build-stamp:  build-trad-stamp build-gprof-stamp build-ansi-gprof-stamp build-ansi-stamp ansi-tests/test_results
	touch $@

debian/control.rm:
	rm -f `echo $@ | sed 's,\.rm$$,,1'`

debian/control: debian/control.rm
	cp debian/control.$(EXT) debian/control

clean: debian/control debian/gcl$(EXT).templates
	dh_testdir
	dh_testroot
	rm -f *stamp
	debconf-updatepo

	-$(MAKE) clean

	dh_clean
	rm -rf debian/gprof debian/ansi-gprof debian/trad debian/ansi $(INS) debian/substvars
	rm -rf *stamp
	for i in $(CFGS) ; do ! [ -e $$i ] || mv $$i $${i%.ori} ; done


BVER:=$(shell dpkg -s binutils |grep ^Version: | cut -f2 -d\  )
BVERB:=$(shell echo $(BVER) | cut -f1 -d-)
debian/substvars:
	grep -q ^binutils: $@ 2>/dev/null || echo "binutils:Version=$(BVER)" >> $@

INS:=$(shell for i in debian/in.* ; do echo $$i | sed 's,in.,,1' ; done |sed "s,/gcl,/gcl$(EXT),g")

$(INS): debian/gcl$(EXT)% : debian/in.gcl%
	cat $< | sed 's,@EXT@,$(EXT),g' >$@

install: install-stamp
install-stamp: build-stamp debian/control $(INS)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/tmp
	cp -a debian/ansi/* debian/tmp/
	cp -a debian/trad/* debian/tmp/
	cp -a debian/gprof/* debian/tmp/
	cp -a debian/ansi-gprof/* debian/tmp/

	mv debian/tmp/usr/share/emacs/site-lisp debian/tmp/usr/share/emacs/foo
	mkdir -p debian/tmp/usr/share/emacs/site-lisp
	mv debian/tmp/usr/share/emacs/foo debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)

#	cp -a $$(find debian/tmp/usr/local -name site-lisp -type d) \
#		debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)
#	rm -rf debian/tmp/usr/local

	cat debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/gcl.el |\
		sed \
			-e "s,(provide  *'gcl),(provide 'gcl$(EXT)),g" \
			-e "s,(require  *'gcl),(require 'gcl$(EXT)),g" \
			-e "s,gcl-mode,gcl$(EXT)-mode,1" \
		>tmp &&\
		mv tmp debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/gcl$(EXT).el
	[ "$(EXT)" = "" ] || rm debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/gcl.el

	cat debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/dbl.el |\
		sed \
			-e "s,(provide  *'gcl),(provide 'gcl$(EXT)),g" \
			-e "s,(require  *'gcl),(require 'gcl$(EXT)),g" \
			-e "s,gcl-mode,gcl$(EXT)-mode,1" \
		>tmp &&\
		mv tmp debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/dbl$(EXT).el
	[ "$(EXT)" = "" ] || rm debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/dbl.el

	[ "$(EXT)" = "" ] || \
		for i in debian/tmp/usr/share/info/gcl-*.info*; do \
			mv $$i $$(echo $$i | sed "s,gcl,gcl$(EXT),g"); done

	mv debian/tmp/usr/share/doc debian/tmp/usr/share/foo
	mkdir -p debian/tmp/usr/share/doc/gcl-doc
	mv debian/tmp/usr/share/foo/* debian/tmp/usr/share/doc/gcl-doc
	rmdir debian/tmp/usr/share/foo

	[ "$(EXT)" = "" ] || \
		mv debian/tmp/usr/share/doc/gcl-doc debian/tmp/usr/share/doc/gcl$(EXT)-doc 

	cat debian/tmp/usr/lib/gcl-$(VERS)/gcl-tk/demos/index.lsp | \
		sed "s,$$(pwd)/debian/tmp,,1" >debian/foo
	mv debian/foo debian/tmp/usr/lib/gcl-$(VERS)/gcl-tk/demos/index.lsp

	rm -f debian/tmp/usr/bin/*.exe debian/tmp/usr/bin/*.bat

	find debian/tmp -type f -name "*.lsp" -exec chmod ugo-x {} \;
	find debian/tmp -type f -name "*.lisp" -exec chmod ugo-x {} \;
	find debian/tmp -type f -name "*.el" -exec chmod ugo-x {} \;
	find debian/tmp -type f -name "*.tcl" -exec chmod ugo-x {} \;

	rm -f debian/tmp/usr/bin/gcl
	TKVERS=$$(cat bin/gcl | grep /tk | head -1l | sed "s,.*/tk\([0-9.]*\)\").*,\1,1"); \
		cat debian/gcl.sh | sed -e "s,@EXT@,$(EXT),g" \
					-e "s,@VERS@,$(VERS),g" \
					-e "s,@TKVERS@,$$TKVERS,g" >debian/tmp/usr/bin/gcl$(EXT)
	chmod 0755 debian/tmp/usr/bin/gcl$(EXT)

	rm -rf debian/tmp/usr/lib/gcl-$(VERS)/info
	mkdir -p debian/tmp/etc/default
	echo DEFAULT_GCL_ANSI= >debian/tmp/etc/default/gcl$(EXT)
	echo DEFAULT_GCL_PROF= >>debian/tmp/etc/default/gcl$(EXT)

	mkdir -p debian/tmp/usr/lib/common-lisp/bin
	chmod +x debian/gcl$(EXT)-clc.sh
	cp debian/gcl$(EXT)-clc.sh debian/tmp/usr/lib/common-lisp/bin/gcl$(EXT).sh

	dh_install

	touch $@

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installinfo -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install #debian/substvars
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installemacsen -a
#	dh_installmanpages -a gcl/gmp3/ansi2knr.1
	dh_installman -a
	dh_installdebconf -a
	dh_installchangelogs ChangeLog -a
	dh_strip -a -Xlibgcl -Xlibansi_gcl \
		-Xgcl-$(VERS)-prof/unixport/saved_gcl -Xgcl-$(VERS)-prof/unixport/saved_ansi_gcl
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a

## gclcvs 2.7.0-79

=== binutils/bfd/po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright 2001, 2003 Free Software Foundation, Inc.
#
# This file may be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = bfd
VERSION = 2.16.1

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

DESTDIR =

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(srcdir)/../../mkinstalldirs

CC = gcc
GENCAT = @GENCAT@
GMSGFMT = PATH=../src:$$PATH 
MSGFMT = 
XGETTEXT = PATH=../src:$$PATH 
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  fr.po tr.po ja.po es.po sv.po da.po zh_CN.po ro.po
GMOFILES =  fr.gmo tr.gmo ja.gmo es.gmo sv.gmo da.gmo zh_CN.gmo ro.gmo
DISTFILES = ChangeLog Makefile.in.in SRC-POTFILES.in BLD-POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of source dir POTFILES.
SRC-POTFILES = \
	../aix386-core.c \
	../aix5ppc-core.c \
	../aout0.c \
	../aout32.c \
	../aout64.c \
	../aout-adobe.c \
	../aout-arm.c \
	../aout-cris.c \
	../aoutf1.h \
	../aout-ns32k.c \
	../aout-sparcle.c \
	../aout-target.h \
	../aout-tic30.c \
	../aoutx.h \
	../archive64.c \
	../archive.c \
	../archures.c \
	../armnetbsd.c \
	../bfd.c \
	../bfdio.c \
	../bfdwin.c \
	../binary.c \
	../bout.c \
	../cache.c \
	../cf-i386lynx.c \
	../cf-m68klynx.c \
	../cf-sparclynx.c \
	../cisco-core.c \
	../coff64-rs6000.c \
	../coff-a29k.c \
	../coff-alpha.c \
	../coff-apollo.c \
	../coff-arm.c \
	../coff-aux.c \
	../coffcode.h \
	../coffgen.c \
	../coff-go32.c \
	../coff-h8300.c \
	../coff-h8500.c \
	../coff-i386.c \
	../coff-i860.c \
	../coff-i960.c \
	../cofflink.c \
	../coff-m68k.c \
	../coff-m88k.c \
	../coff-maxq.c \
	../coff-mips.c \
	../coff-or32.c \
	../coff-rs6000.c \
	../coff-sh.c \
	../coff-sparc.c \
	../coff-stgo32.c \
	../coff-svm68k.c \
	../coffswap.h \
	../coff-tic30.c \
	../coff-tic4x.c \
	../coff-tic54x.c \
	../coff-tic80.c \
	../coff-u68k.c \
	../coff-w65.c \
	../coff-we32k.c \
	../coff-z8k.c \
	../corefile.c \
	../cpu-a29k.c \
	../cpu-alpha.c \
	../cpu-arc.c \
	../cpu-arm.c \
	../cpu-avr.c \
	../cpu-cr16c.c \
	../cpu-cris.c \
	../cpu-crx.c \
	../cpu-d10v.c \
	../cpu-d30v.c \
	../cpu-dlx.c \
	../cpu-fr30.c \
	../cpu-frv.c \
	../cpu-h8300.c \
	../cpu-h8500.c \
	../cpu-hppa.c \
	../cpu-i370.c \
	../cpu-i386.c \
	../cpu-i860.c \
	../cpu-i960.c \
	../cpu-ia64.c \
	../cpu-ip2k.c \
	../cpu-iq2000.c \
	../cpu-m10200.c \
	../cpu-m10300.c \
	../cpu-m32r.c \
	../cpu-m68hc11.c \
	../cpu-m68hc12.c \
	../cpu-m68k.c \
	../cpu-m88k.c \
	../cpu-maxq.c \
	../cpu-mcore.c \
	../cpu-mips.c \
	../cpu-mmix.c \
	../cpu-msp430.c \
	../cpu-ns32k.c \
	../cpu-openrisc.c \
	../cpu-or32.c \
	../cpu-pdp11.c \
	../cpu-pj.c \
	../cpu-powerpc.c \
	../cpu-rs6000.c \
	../cpu-s390.c \
	../cpu-sh.c \
	../cpu-sparc.c \
	../cpu-tic30.c \
	../cpu-tic4x.c \
	../cpu-tic54x.c \
	../cpu-tic80.c \
	../cpu-v850.c \
	../cpu-vax.c \
	../cpu-w65.c \
	../cpu-we32k.c \
	../cpu-xstormy16.c \
	../cpu-xtensa.c \
	../cpu-z8k.c \
	../demo64.c \
	../dwarf1.c \
	../dwarf2.c \
	../ecoff.c \
	../ecofflink.c \
	../ecoffswap.h \
	../efi-app-ia32.c \
	../efi-app-ia64.c \
	../elf32-am33lin.c \
	../elf32-arc.c \
	../elf32-arm.c \
	../elf32-avr.c \
	../elf32.c \
	../elf32-cr16c.c \
	../elf32-cris.c \
	../elf32-crx.c \
	../elf32-d10v.c \
	../elf32-d30v.c \
	../elf32-dlx.c \
	../elf32-fr30.c \
	../elf32-frv.c \
	../elf32-gen.c \
	../elf32-h8300.c \
	../elf32-hppa.c \
	../elf32-hppa.h \
	../elf32-i370.c \
	../elf32-i386.c \
	../elf32-i860.c \
	../elf32-i960.c \
	../elf32-ip2k.c \
	../elf32-iq2000.c \
	../elf32-m32r.c \
	../elf32-m68hc11.c \
	../elf32-m68hc12.c \
	../elf32-m68hc1x.c \
	../elf32-m68k.c \
	../elf32-m88k.c \
	../elf32-mcore.c \
	../elf32-mips.c \
	../elf32-msp430.c \
	../elf32-openrisc.c \
	../elf32-or32.c \
	../elf32-pj.c \
	../elf32-ppc.c \
	../elf32-s390.c \
	../elf32-sh64.c \
	../elf32-sh64-com.c \
	../elf32-sh.c \
	../elf32-sh-symbian.c \
	../elf32-sparc.c \
	../elf32-v850.c \
	../elf32-vax.c \
	../elf32-xstormy16.c \
	../elf32-xtensa.c \
	../elf64-alpha.c \
	../elf64.c \
	../elf64-gen.c \
	../elf64-hppa.c \
	../elf64-hppa.h \
	../elf64-mips.c \
	../elf64-mmix.c \
	../elf64-ppc.c \
	../elf64-s390.c \
	../elf64-sh64.c \
	../elf64-sparc.c \
	../elf64-x86-64.c \
	../elf-bfd.h \
	../elf.c \
	../elfcode.h \
	../elfcore.h \
	../elf-eh-frame.c \
	../elf-hppa.h \
	../elflink.c \
	../elf-m10200.c \
	../elf-m10300.c \
	../elfn32-mips.c \
	../elf-strtab.c \
	../elfxx-mips.c \
	../epoc-pe-arm.c \
	../epoc-pei-arm.c \
	../format.c \
	../freebsd.h \
	../genlink.h \
	../go32stub.h \
	../hash.c \
	../hp300bsd.c \
	../hp300hpux.c \
	../hpux-core.c \
	../i386aout.c \
	../i386bsd.c \
	../i386dynix.c \
	../i386freebsd.c \
	../i386linux.c \
	../i386lynx.c \
	../i386mach3.c \
	../i386msdos.c \
	../i386netbsd.c \
	../i386os9k.c \
	../ieee.c \
	../ihex.c \
	../init.c \
	../irix-core.c \
	../libaout.h \
	../libbfd.c \
	../libbfd.h \
	../libcoff.h \
	../libecoff.h \
	../libhppa.h \
	../libieee.h \
	../libnlm.h \
	../liboasys.h \
	../libpei.h \
	../libxcoff.h \
	../linker.c \
	../lynx-core.c \
	../m68k4knetbsd.c \
	../m68klinux.c \
	../m68klynx.c \
	../m68knetbsd.c \
	../m88kmach3.c \
	../m88kopenbsd.c \
	../mach-o.c \
	../mach-o.h \
	../merge.c \
	../mipsbsd.c \
	../mmo.c \
	../netbsd.h \
	../newsos3.c \
	../nlm32-alpha.c \
	../nlm32.c \
	../nlm32-i386.c \
	../nlm32-ppc.c \
	../nlm32-sparc.c \
	../nlm64.c \
	../nlm.c \
	../nlmcode.h \
	../nlmswap.h \
	../nlm-target.h \
	../ns32k.h \
	../ns32knetbsd.c \
	../oasys.c \
	../opncls.c \
	../osf-core.c \
	../pc532-mach.c \
	../pdp11.c \
	../pe-arm.c \
	../pef.c \
	../pef.h \
	../pef-traceback.h \
	../pe-i386.c \
	../pei-arm.c \
	../peicode.h \
	../pei-i386.c \
	../pei-mcore.c \
	../pei-mips.c \
	../pei-ppc.c \
	../pei-sh.c \
	../pe-mcore.c \
	../pe-mips.c \
	../pe-ppc.c \
	../pe-sh.c \
	../ppcboot.c \
	../reloc16.c \
	../reloc.c \
	../riscix.c \
	../sco5-core.c \
	../section.c \
	../simple.c \
	../som.c \
	../som.h \
	../sparclinux.c \
	../sparclynx.c \
	../sparcnetbsd.c \
	../srec.c \
	../stabs.c \
	../stab-syms.c \
	../sunos.c \
	../syms.c \
	../targets.c \
	../tekhex.c \
	../trad-core.c \
	../vax1knetbsd.c \
	../vaxbsd.c \
	../vaxnetbsd.c \
	../versados.c \
	../version.h \
	../vms.c \
	../vms-gsd.c \
	../vms.h \
	../vms-hdr.c \
	../vms-misc.c \
	../vms-tir.c \
	../xcofflink.c \
	../xcoff-target.h \
	../xsym.c \
	../xsym.h \
	../xtensa-isa.c \
	../xtensa-modules.c 

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of build dir POTFILES.
BLD-POTFILES = \
	../bfdver.h \
	../elf32-ia64.c \
	../elf32-target.h \
	../elf64-ia64.c \
	../elf64-target.h \
	../peigen.c \
	../pepigen.c \
	../targmatch.h 

CATALOGS = 
CATOBJEXT = 
INSTOBJEXT = 

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-no

all-yes: $(CATALOGS) # $(PACKAGE).pot
all-no:

$(srcdir)/$(PACKAGE).pot: $(SRC-POTFILES) $(BLD-POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) \
	  --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/SRC-POTFILES.in 
	$(XGETTEXT) --default-domain=$(PACKAGE) \
	  --directory=.. \
	  --directory=. \
	  --add-comments --keyword=_ --keyword=N_ \
	  --join-existing \
	  --files-from=$(srcdir)/BLD-POTFILES.in
	rm -f $(srcdir)/$(PACKAGE).pot
	mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot

$(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
$(srcdir)/stamp-cat-id: $(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f ../intl/po2tbl.sed $(srcdir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(srcdir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; \
	fi
	cd $(srcdir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-info:
install-data: install-data-no
install-data-no: all
install-data-yes: all
	if test -r $(MKINSTALLDIRS); then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(DESTDIR)$(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in *.mo *.msg *.cat *.cat.m
	rm -f SRC-POTFILES BLD-POTFILES 

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES) SRC-POTFILES.in BLD-POTFILES.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \

=== debian/changelog ===
gclcvs (2.7.0-79) unstable; urgency=low

  * local imb() for alpha
  * no gprof on ppc
  * Bug fix: "gclcvs: installation fails", thanks to Lucas Nussbaum
    (Closes: #432003). Abort clc if gcl not installed yet
  * Bug fix: "gclcvs: FTBFS: do_init is undefined", thanks to Lucas
    Nussbaum (Closes: #432341). Fixed since -78.
  * Bug fix: "FTBFS (hppa): Bus error compiling tkl.o", thanks to dann
    frazier (Closes: #434671). autobuilt -78 fine
  * Bug fix: "gclcvs: should this package be removed?", thanks to Lucas
    Nussbaum (Closes: #449352).  No, but thanks for the reports
  * Bug fix: "gclcvs build-depends on gcc-3.4/g++-3.4", thanks to Matthias
    Klose (Closes: #440422). Remove arm build-dep
  * Bug fix: "gclcvs: [INTL:es] Spanish translation for the debconf
    template", thanks to Rudy Godoy (Closes: #423708). Thanks
  * build-dep texlive-latex-base

 -- Camm Maguire <camm@enhanced.com>  Wed, 07 Nov 2007 17:22:11 -0500

gclcvs (2.7.0-78) unstable; urgency=low

  * tidy fmla-and-or;prune some numeric types containing inf
  * support old style dladdr
  * lower hppa C optimization
  * cfast-write fix
  * boolean return for typep, infer typep;var-aliases for rplacd proper-
    cons bumping
  * compile top level closures
  * all cclosures turbo, fix top-level-form compile

 -- Camm Maguire <camm@enhanced.com>  Tue, 17 Jul 2007 23:43:57 -0400

gclcvs (2.7.0-77) unstable; urgency=low

  * on_exit fix for freebsd
  * pass ambient disable-recompile and optimize-maximum-pages settings
    through compiler::link
  * car et.al source, faster bootstrap, new safety 3 mode
  * prop hash on safety level
  * no c99 functions for bsd yet
  * lower ia64 C optimization
  * fix complex type propagation
  * abs for -c99
  * system fns at safety 2;c-type-propagator fix;tighten rplacd-
    propagator;better c1retnote;long C names without gprof;maybe-
    reverse-type-prop;implement safety 1 definition in unchecked
    subcalls
  * total-bytes-allocated thanks Stephen Wilson;fix install
  * fix install
  * fmla-tp fix, thanks stephen wilson and waldek
  * simpler fasldlsym file handling
  * revert simpler fasldlsym handling for now
  * special setjmp for ia64
  * copt for ia64;gcc 4.x for arm
  * _mcount for ppc

 -- Camm Maguire <camm@enhanced.com>  Fri, 13 Jul 2007 23:41:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Camm Maguire <camm@enhanced.com>
-Build-Depends: debhelper (>= 4.1.16), libreadline5-dev | libreadline-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller, libxmu-dev, libxaw7-dev, gcc-3.4 [ arm ]
+Build-Depends: debhelper (>= 4.1.16), libreadline5-dev | libreadline-dev, m4, tk8.4-dev, texlive-latex-base, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller, libxmu-dev, libxaw7-dev
 Standards-Version: 3.7.2
 
 Package: gclcvs

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,9 @@
 ARCHT:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 MCC:=gcc
-ifeq ($(ARCHT),arm)
-MCC:=gcc-3.4
-endif
+#ifeq ($(ARCHT),arm)
+#MCC:=gcc-3.4
+#endif
 #ifeq ($(ARCHT),hppa)
 #MCC:=gcc-3.4
 #endif

## gclcvs 2.7.0-84.1

=== debian/changelog ===
gclcvs (2.7.0-84.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #450981
    - Portuguese. Closes: #457113
    - French. Closes: #457154
    - German. Closes: #457359
    - Finnish. Closes: #472473
    - Russian. Closes: #473249
    - Czech. Closes: #474085
  * [Lintian] Correct FSF address in debian/copyright
  * [Lintian] Add copyright information in debian/copyright
  * [Lintian] Correct doc-base section to "Programming"
  * [Lintian] Remove non-managed format files "Tex" in doc-base control
    files
  * [Lintian] Remove reference to several non-existing files in doc-base
    control files

 -- Christian Perrier <bubulle@debian.org>  Thu, 03 Apr 2008 19:09:22 +0200

gclcvs (2.7.0-84) unstable; urgency=low

  * #-dynamic-extent arm build fix

 -- Camm Maguire <camm@enhanced.com>  Wed,  2 Jan 2008 20:38:27 -0500

gclcvs (2.7.0-83) unstable; urgency=low

  * arm and ia64 gcc bug workarounds

 -- Camm Maguire <camm@enhanced.com>  Tue,  1 Jan 2008 15:24:55 -0500

gclcvs (2.7.0-82) unstable; urgency=low

  * ia64 build fix, more library functions
  * vertical bar reader fix
  * rt patch applied

 -- Camm Maguire <camm@enhanced.com>  Tue, 18 Dec 2007 11:17:13 -0500

gclcvs (2.7.0-81) unstable; urgency=low

  * build fixes

 -- Camm Maguire <camm@enhanced.com>  Mon, 17 Dec 2007 13:07:12 -0500

gclcvs (2.7.0-80) unstable; urgency=low

  * last-unroll for apply acceleration
  * misc ansi fixes
  * debian bug sync with 2.6.8pre
  * ansi-fixes;tail-recursion expansion;support build w/o immfix

 -- Camm Maguire <camm@enhanced.com>  Sat, 15 Dec 2007 23:53:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Camm Maguire <camm@enhanced.com>
-Build-Depends: debhelper (>= 4.1.16), libreadline5-dev | libreadline-dev, m4, tk8.4-dev, texlive-latex-base, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller, libxmu-dev, libxaw7-dev
+Build-Depends: debhelper (>= 4.1.16), libreadline5-dev | libreadline-dev, m4, tk8.4-dev, texlive-latex-base, texinfo, binutils-dev, libgmp3-dev, autotools-dev, common-lisp-controller, libxmu-dev, libxaw7-dev, po-debconf, binutils-dev
 Standards-Version: 3.7.2
 
 Package: gclcvs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}, debconf (>= 1.2.0), common-lisp-controller
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}, debconf (>= 1.2.0), common-lisp-controller, emacs22 | emacsen
 Suggests: gclcvs-doc
 Description: GNU Common Lisp compiler, CVS snapshot
  GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=4
+#export DH_COMPAT=4
 ARCHT:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 MCC:=gcc
@@ -27,21 +27,19 @@
 #MCC:=gcc-3.4
 #endif
 
+#RELOC=locbfd
+RELOC?=statsysbfd
+
+#FIXME upstream bfd data structures are read-only
+ifeq ($(ARCHT),alpha)
 RELOC=locbfd
-
-#RELOC?=statsysbfd
-#ifeq ($(ARCHT),alpha)
-#RELOC=dlopen
-#endif
-
-# MIPS bfd support added 20050407 CM
-#ifeq ($(ARCHT),mips)
-#RELOC=dlopen
-#endif
-#ifeq ($(ARCHT),mipsel)
-#RELOC=dlopen
-#endif
-
+endif
+ifeq ($(ARCHT),mips)
+RELOC=locbfd
+endif
+ifeq ($(ARCHT),mipsel)
+RELOC=locbfd
+endif
 
 ifeq ($(ARCHT),ia64)
 RELOC=dlopen
@@ -84,7 +82,7 @@
 
 	dh_testdir
 
-	! [ -e unixport/saved_pre_gcl ] || ( for i in o lsp cmpnew unixport pcl clcs ; do $(MAKE) -C $$i clean ; done )
+	! [ -e unixport/saved_pre_gcl ] || ( for i in o lsp cmpnew unixport pcl clcs gcl-tk ; do $(MAKE) -C $$i clean ; done )
 
 	chmod -R +x gmp3/*
 
@@ -126,7 +124,7 @@
 	touch $@
 
 bclean-stamp:
-	-$(MAKE) clean
+	$(MAKE) clean
 	touch $@
 
 ansi-tests/test_results: build-ansi-stamp
@@ -148,7 +146,7 @@
 	rm -f *stamp
 	debconf-updatepo
 
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 	rm -rf debian/gprof debian/ansi-gprof debian/trad debian/ansi $(INS) debian/substvars

## gclcvs 2.7.0-92.1

=== debian/changelog ===
gclcvs (2.7.0-92.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #492177
    - Italian. Closes: #504155

 -- Christian Perrier <bubulle@debian.org>  Sun, 02 Nov 2008 08:04:31 +0100

gclcvs (2.7.0-92) unstable; urgency=low

  * enable_debug on sparc
  * Fix hash inlining involving recursive shared var structures
  * optimize sublis/nsublis for nil arg

 -- Camm Maguire <camm@maguirefamily.org>  Mon, 01 Sep 2008 13:42:28 +0000

gclcvs (2.7.0-91) unstable; urgency=low

  * more sparc optimization flag degradations to workaround gcc bugs

 -- Camm Maguire <camm@maguirefamily.org>  Tue, 26 Aug 2008 20:43:54 +0000

gclcvs (2.7.0-90) unstable; urgency=low

  * configure fixes for unrandomize.h
  * backoff on arm opts
  * more careful handling of GCL_GPROF_START

 -- Camm Maguire <camm@maguirefamily.org>  Sat, 23 Aug 2008 21:32:41 +0000

gclcvs (2.7.0-89) unstable; urgency=low

  * fix endian checks

 -- Camm Maguire <camm@enhanced.com>  Thu, 21 Aug 2008 10:56:19 -0400

gclcvs (2.7.0-88) unstable; urgency=low

  * redo unrandomize.h to enable compilation under -O2 -- FIXME
  * DOUBLE_BIGENDIAN supplements WORDS_BIGENDIAN
  * proper -Os sparc workaround

 -- Camm Maguire <camm@maguirefamily.org>  Wed, 20 Aug 2008 20:44:06 +0000

gclcvs (2.7.0-87) unstable; urgency=low

  * more div/remq sybols for alpha
  * -O2 -g on sparc to workaround longjmp bug.

 -- Camm Maguire <camm@intech21.enhanced.com>  Wed,  6 Aug 2008 15:59:30 -0400

gclcvs (2.7.0-86) unstable; urgency=low

  * enable_pic enforced on all mips reloc options, gcc-4.3 has -mno-shared
    by default, which eliminates _gp_disp from the code.
  * more div/rem symbols for arm and hppa
  
 -- Camm Maguire <camm@sacrifice.m.enhanced.com>  Sat, 02 Aug 2008 00:23:30 +0000

gclcvs (2.7.0-85) unstable; urgency=low

  * Incorporate Debian NMU from 2.6.7
  * Bug fix: "[INTL:sv] po-debconf file for gcl", thanks to Martin Ågren
    (Closes: #492241).
  * Bug fix: "gcl: FTBFS [amd64]: cannot trap sbrk", thanks to Daniel
    Schepler (Closes: #487435).  Modified and applied personality handling
    patch.
  * Bug fix: "gcl: Builds broken package with gcc-4.3", thanks to Daniel
    Schepler (Closes: #467474).  Added sincos to plttest.c
  * No infinite unrandomization loops
  * Bug fix: "gclcvs 2.7.0-84 uninstallable: requires exact obsolete
    version of binutils-dev", thanks to Francois-Rene Rideau (Closes:
    #469178).  Remove dependency
  * Accept NMU, Closes: #450981 Closes: #457113 Closes: #457154 Closes:
    #457359 Closes: #472473 Closes: #473249 Closes: #474085
  * variable gp_disp name for mips
  * larger immfixnum space requirement to step around sparc stack location
  * compiler warning cleanups
  * __divdi3 et.al symbols for ia64 and arm

 -- Camm Maguire <camm@enhanced.com>  Fri, 01 Aug 2008 17:43:45 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gclcvs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}, debconf (>= 1.2.0), common-lisp-controller, emacs22 | emacsen
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, debconf (>= 1.2.0), common-lisp-controller, emacs22 | emacsen
 Suggests: gclcvs-doc
 Description: GNU Common Lisp compiler, CVS snapshot
  GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
